Ownership and events
Us Institutional Holdings
GET
/
us
/
institutional-holdings
Us Institutional Holdings
curl --request GET \
--url https://corpus-api.onera.app/us/institutional-holdings \
--header 'X-API-KEY: <api-key>'import requests
url = "https://corpus-api.onera.app/us/institutional-holdings"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://corpus-api.onera.app/us/institutional-holdings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"holdings": [
{
"accession_number": "<string>",
"holding_ordinal": 123,
"manager_cik": "<string>",
"knowledge_time": "2023-11-07T05:31:56Z",
"report_date": "2023-12-25",
"issuer_name": "<string>",
"class_title": "<string>",
"cusip": "<string>",
"value_thousands_usd": 123,
"value_reported": 123,
"value_usd": 123,
"shares_or_principal": 123,
"shares_or_principal_type": "<string>",
"put_call": "<string>",
"investment_discretion": "<string>",
"other_manager": "<string>",
"voting_sole": 123,
"voting_shared": 123,
"voting_none": 123,
"source_id": "sec_edgar"
}
],
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"next_offset": 123,
"as_of": "2023-11-07T05:31:56Z",
"normalization_version": "<string>",
"provenance": {}
}
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}Authorizations
Provisioned Corpus API key with the required jurisdiction and operation scopes.
Query Parameters
Pattern:
^(PUT|CALL)$Required range:
1 <= x <= 1000Required range:
x >= 0⌘I
Us Institutional Holdings
curl --request GET \
--url https://corpus-api.onera.app/us/institutional-holdings \
--header 'X-API-KEY: <api-key>'import requests
url = "https://corpus-api.onera.app/us/institutional-holdings"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://corpus-api.onera.app/us/institutional-holdings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"holdings": [
{
"accession_number": "<string>",
"holding_ordinal": 123,
"manager_cik": "<string>",
"knowledge_time": "2023-11-07T05:31:56Z",
"report_date": "2023-12-25",
"issuer_name": "<string>",
"class_title": "<string>",
"cusip": "<string>",
"value_thousands_usd": 123,
"value_reported": 123,
"value_usd": 123,
"shares_or_principal": 123,
"shares_or_principal_type": "<string>",
"put_call": "<string>",
"investment_discretion": "<string>",
"other_manager": "<string>",
"voting_sole": 123,
"voting_shared": 123,
"voting_none": 123,
"source_id": "sec_edgar"
}
],
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"next_offset": 123,
"as_of": "2023-11-07T05:31:56Z",
"normalization_version": "<string>",
"provenance": {}
}
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}